G21

(Import RMS standard offset)
M102 G54Y G56Z+0

(If slide is G43/48, throw error)
M102 G58Y if((((G58X - (floor(G58X / 10)*10)) != 2) or ((floor(G58Z/10) - (floor(floor(G58Z/10) / 10)*10)) == 1)), 0, 1)
M106 G58Y == 0 Error: You cannot mill a standard location RMS / RMSc footprint on a Glock 43 / Glock 48 slide. Please restart and choose the rear RMS / RMSc location. If you wish to override this error message and proceed in spite of our advice, run the "Disable Sanity Checking" job in the job list and then return to this job.

(If slide is 1911, throw error)
M102 G58Y if((((G58X - (floor(G58X / 10)*10)) != 3) or ((floor(G58Z/10) - (floor(floor(G58Z/10) / 10)*10)) == 1)), 0, 1)
M106 G58Y == 0 Error: You cannot mill a standard location RMS / RMSc footprint on a 1911 slide. Please restart and choose the rear RMS / RMSc location. If you wish to override this error message and proceed in spite of our advice, run the "Disable Sanity Checking" job in the job list and then return to this job.

(Set that we are doing RMS standard)
M102 G58X G58X + 60

(Set left hole)
M102 G55X G59X-(0.279 * 25.4)
M102 G55Y G54Y+(0.473 * 25.4)

(Set right hole)
M102 G56X G59X+(0.279 * 25.4)
M102 G56Y G54Y+(0.473 * 25.4)